Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.ui.desktop
Class AbstractSoapUIDesktop

    java.lang.Object
      com.eviware.soapui.ui.desktop.AbstractSoapUIDesktop

All Implemented Interfaces:
  SoapUIDesktop

Direct Known Subclasses:
  StandaloneDesktop

    public abstract class AbstractSoapUIDesktop

extends java.lang.Object
implements SoapUIDesktop

Abstract SoapUIDesktop implementation for extension

Author:
  ole.matzura

Constructor Summary
`AbstractSoapUIDesktop(Workspace workspace)`

Method Summary
`void` | `addDesktopListener(DesktopListener listener)`
`void` | `closeDependantPanels(ModelItem modelItem)`
`protected void` | `fireDesktopPanelClosed(DesktopPanel desktopPanel)`
`protected void` | `fireDesktopPanelCreated(DesktopPanel desktopPanel)`
`protected void` | `fireDesktopPanelSelected(DesktopPanel desktopPanel)`
`ActionList` | `getActions()`
`void` | `init()`
`void` | `release()`
`void` | `removeDesktopListener(DesktopListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.ui.desktop.SoapUIDesktop
`closeAll, closeDesktopPanel, closeDesktopPanel, getDesktopComponent, getDesktopPanel, getDesktopPanels, hasDesktopPanel, showDesktopPanel, showDesktopPanel, transferTo`

Constructor Detail

### AbstractSoapUIDesktop

    public AbstractSoapUIDesktop(Workspace workspace)

Method Detail

### getActions

    public ActionList getActions()

  Specified by:
    `getActions` in interface `SoapUIDesktop`

### addDesktopListener

    public void addDesktopListener(DesktopListener listener)

  Specified by:
    `addDesktopListener` in interface `SoapUIDesktop`

### removeDesktopListener

    public void removeDesktopListener(DesktopListener listener)

  Specified by:
    `removeDesktopListener` in interface `SoapUIDesktop`

### closeDependantPanels

    public void closeDependantPanels(ModelItem modelItem)

### fireDesktopPanelCreated

    protected void fireDesktopPanelCreated(DesktopPanel desktopPanel)

### fireDesktopPanelSelected

    protected void fireDesktopPanelSelected(DesktopPanel desktopPanel)

### fireDesktopPanelClosed

    protected void fireDesktopPanelClosed(DesktopPanel desktopPanel)

### release

    public void release()

  Specified by:
    `release` in interface `SoapUIDesktop`

### init

    public void init()

  Specified by:
    `init` in interface `SoapUIDesktop`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.